> ## Documentation Index
> Fetch the complete documentation index at: https://docs.iinkedsign.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Export

You can export a customized version of the MasterFile PDF through the `masterfiles/export/pdf` endpoint.

MasterFile export allows you to control the included sections, PII, as well as filtering sections to include or exclude specific record types.

## Request

```http Request expandable theme={null}
POST /masterfiles/export/pdf 
{
    "packageId": "245f9562-7ddc-4d38-9e61-2d75b0774af9",
    "signerId": null,
    "options": {
        "details": {
            "include": true,
            "maps": false,
            "counts": true
        },
        "host": null,
        "signers": {
            "include": true,
            "name": true,
            "email": false,
            "mobileNumber": false,
            "device": false,
            "ipAddress": false,
            "location": false,
            "verification": {
                "include": true,
                "passed": true,
                "failed": true,
                "errored": false,
                "analysis": true,
                "data": true,
                "identity": true,
                "documents": {
                    "include": true,
                    "includeTypes": [
                        "drivers_license",
                        "passport"
                    ],
                    "images": {
                        "include": true,
                        "includeTypes": [
                            "live_photo"
                        ]
                    }
                }
            }
        },
        "recipients": {
            "include": false
        },
        "documents": {
            "include": true
        },
        "meetings": null,
        "verificationHistory": {
            "include": false
        },
        "accessHistory": {
            "include": false
        },
        "packageHistory": {
            "include": true,
            "excludeTypes": [
                "package_added"
            ]
        },
        "notificationHistory": {
            "include": false
        },
        "logs": {
            "include": true,
            "excludeTypes": [
                "field_digitalsignature_add",
                "page_enter",
                "page_exit"
            ]
        }
    }
}
```

### Body

<ParamField body="packageId" type="string" required>
  Unique package ID of the package to export MasterFile for.
</ParamField>

<ParamField body="signerId" type="string">
  Generates the MasterFile for the specified signer ID, hiding other signers' PII and including the specified signer's PII based on the export options.

  <Tip>
    If not provided, the MasterFile will include all signers' PII based on the export options.
  </Tip>
</ParamField>

<ParamField body="timeZone" type="string">
  Overrides the default package or organization's time zone.

  IANA Time Zones: [https://www.iana.org/time-zones](https://www.iana.org/time-zones)
</ParamField>

<ParamField body="explicit" type="boolean" default={false}>
  When set to true the export options will not be merged with the default MasterFile export options. This is useful if you do not want new sections to automatically appear in future releases.
</ParamField>

<ParamField body="options" type="object">
  Options to customize how the MasterFile PDF is generated during export.

  <Expandable title="properties">
    <ParamField body="details" type="object">
      <Expandable title="properties">
        <ParamField body="include" type="boolean" default={true}>
          Include details section.
        </ParamField>

        <ParamField body="counts" type="boolean" default={true}>
          Include field counts summaries.
        </ParamField>

        <ParamField body="maps" type="boolean" default={true}>
          Include location maps. (requires location)
        </ParamField>
      </Expandable>
    </ParamField>

    <ParamField body="footer" type="object">
      <Expandable title="properties">
        <ParamField body="link" type="boolean" default={true}>
          Include link in footer that can be used to request viewing the MasterFile online.
        </ParamField>
      </Expandable>
    </ParamField>

    <ParamField body="host" type="object">
      <Expandable title="properties">
        <ParamField body="include" type="boolean" default={true}>
          Include host section.
        </ParamField>

        <ParamField body="name" type="boolean" default={true}>
          Include name.
        </ParamField>

        <ParamField body="email" type="boolean" default={true}>
          Include email.
        </ParamField>

        <ParamField body="mobileNumber" type="boolean" default={true}>
          Include mobile number.
        </ParamField>

        <ParamField body="device" type="boolean" default={true}>
          Include device details.
        </ParamField>

        <ParamField body="ipAddress" type="boolean" default={true}>
          Include IP address.
        </ParamField>

        <ParamField body="location" type="boolean" default={true}>
          include location details.
        </ParamField>

        <ParamField body="verification" type="object">
          <Expandable title="properties">
            <ParamField body="include" type="boolean" default={false}>
              Include verification section
            </ParamField>

            <ParamField body="verificationId" type="boolean" default={false}>
              Include verification ID in verification summary
            </ParamField>

            <ParamField body="passed" type="boolean" default={true}>
              Include verification results that have passed
            </ParamField>

            <ParamField body="failed" type="boolean" default={true}>
              Include verification results that have failed
            </ParamField>

            <ParamField body="errored" type="boolean" default={false}>
              Include verification results that were not processed due to an error
            </ParamField>

            <ParamField body="analysis" type="boolean" default={true}>
              Include result analysis section
            </ParamField>

            <ParamField body="identity" type="boolean" default={true}>
              Include result identity section
            </ParamField>

            <ParamField body="data" type="boolean" default={true}>
              Include result data section
            </ParamField>

            <ParamField body="documents" type="object[]">
              <Expandable title="properties">
                <ParamField body="include" type="boolean" default={true}>
                  Include verification documents
                </ParamField>

                <ParamField body="includeTypes" type="string[]">
                  Include by Verification Document Type

                  <Expandable title="values">
                    | Key              | Description                                          |
                    | ---------------- | ---------------------------------------------------- |
                    | drivers\_license | Driver's License                                     |
                    | health\_card     | Health Card                                          |
                    | identity\_card   | Identity Card                                        |
                    | military\_id     | Military ID                                          |
                    | other            | Other (Returned when document type detection failed) |
                    | passport         | Passport                                             |
                    | resident\_card   | Resident Card                                        |
                    | travel\_document | Travel Document                                      |
                    | visa             | Visa                                                 |
                    | voter\_id        | Voter ID                                             |
                  </Expandable>
                </ParamField>

                <ParamField body="excludeTypes" type="string[]">
                  Exclude by Verification Document Type

                  | Key              | Description                                          |
                  | ---------------- | ---------------------------------------------------- |
                  | drivers\_license | Driver's License                                     |
                  | health\_card     | Health Card                                          |
                  | identity\_card   | Identity Card                                        |
                  | military\_id     | Military ID                                          |
                  | other            | Other (Returned when document type detection failed) |
                  | passport         | Passport                                             |
                  | resident\_card   | Resident Card                                        |
                  | travel\_document | Travel Document                                      |
                  | visa             | Visa                                                 |
                  | voter\_id        | Voter ID                                             |
                </ParamField>

                <ParamField body="images" type="object[]">
                  <Expandable title="properties">
                    <ParamField body="include" type="boolean" default={true}>
                      Include verification document images
                    </ParamField>

                    <ParamField body="includeTypes" type="string[]">
                      Include by Verification Document Image Type

                      <Expandable title="values">
                        | Key         | Description                                                                    |
                        | ----------- | ------------------------------------------------------------------------------ |
                        | live\_photo | Selfie of signer captured during live selfie process of document verification. |
                        | front       | Front image of document captured during document verification.                 |
                        | back        | Back image of document captured during document verification.                  |
                        | passport    | Image of passport captured during document verification.                       |
                      </Expandable>
                    </ParamField>

                    <ParamField body="excludeTypes" type="string[]">
                      Exclude by Verification Document Image Type

                      <Expandable title="values">
                        | Key         | Description                                                                    |
                        | ----------- | ------------------------------------------------------------------------------ |
                        | live\_photo | Selfie of signer captured during live selfie process of document verification. |
                        | front       | Front image of document captured during document verification.                 |
                        | back        | Back image of document captured during document verification.                  |
                        | passport    | Image of passport captured during document verification.                       |
                      </Expandable>
                    </ParamField>
                  </Expandable>
                </ParamField>
              </Expandable>
            </ParamField>
          </Expandable>
        </ParamField>
      </Expandable>
    </ParamField>

    <ParamField body="signers" type="object">
      <Expandable title="properties">
        <ParamField body="include" type="boolean" default={true}>
          Include signers section.
        </ParamField>

        <ParamField body="name" type="boolean" default={true}>
          Include name.
        </ParamField>

        <ParamField body="email" type="boolean" default={true}>
          Include email.
        </ParamField>

        <ParamField body="mobileNumber" type="boolean" default={true}>
          Include mobile number.
        </ParamField>

        <ParamField body="device" type="boolean" default={true}>
          Include device details.
        </ParamField>

        <ParamField body="ipAddress" type="boolean" default={true}>
          Include IP address.
        </ParamField>

        <ParamField body="location" type="boolean" default={true}>
          include location details.
        </ParamField>

        <ParamField body="verification" type="object">
          <ParamField body="include" type="boolean" default={false}>
            Include verification section
          </ParamField>

          <ParamField body="verificationId" type="boolean" default={false}>
            Include verification ID in verification summary
          </ParamField>

          <ParamField body="passed" type="boolean" default={true}>
            Include verification results that have passed
          </ParamField>

          <ParamField body="failed" type="boolean" default={true}>
            Include verification results that have failed
          </ParamField>

          <ParamField body="errored" type="boolean" default={false}>
            Include verification results that were not processed due to an error
          </ParamField>

          <ParamField body="analysis" type="boolean" default={true}>
            Include result analysis section
          </ParamField>

          <ParamField body="identity" type="boolean" default={true}>
            Include result identity section
          </ParamField>

          <ParamField body="data" type="boolean" default={true}>
            Include result data section
          </ParamField>

          <ParamField body="documents" type="object[]">
            <Expandable title="properties">
              <ParamField body="include" type="boolean" default={true}>
                Include verification documents
              </ParamField>

              <ParamField body="includeTypes" type="string[]">
                Include by Verification Document Type

                <Expandable title="values">
                  | Key              | Description                                          |
                  | ---------------- | ---------------------------------------------------- |
                  | drivers\_license | Driver's License                                     |
                  | health\_card     | Health Card                                          |
                  | identity\_card   | Identity Card                                        |
                  | military\_id     | Military ID                                          |
                  | other            | Other (Returned when document type detection failed) |
                  | passport         | Passport                                             |
                  | resident\_card   | Resident Card                                        |
                  | travel\_document | Travel Document                                      |
                  | visa             | Visa                                                 |
                  | voter\_id        | Voter ID                                             |
                </Expandable>
              </ParamField>

              <ParamField body="excludeTypes" type="string[]">
                Exclude by Verification Document Type

                | Key              | Description                                          |
                | ---------------- | ---------------------------------------------------- |
                | drivers\_license | Driver's License                                     |
                | health\_card     | Health Card                                          |
                | identity\_card   | Identity Card                                        |
                | military\_id     | Military ID                                          |
                | other            | Other (Returned when document type detection failed) |
                | passport         | Passport                                             |
                | resident\_card   | Resident Card                                        |
                | travel\_document | Travel Document                                      |
                | visa             | Visa                                                 |
                | voter\_id        | Voter ID                                             |
              </ParamField>

              <ParamField body="images" type="object[]">
                <Expandable title="properties">
                  <ParamField body="include" type="boolean" default={true}>
                    Include verification document images
                  </ParamField>

                  <ParamField body="includeTypes" type="string[]">
                    Include by Verification Document Image Type

                    <Expandable title="values">
                      | Key         | Description                                                                    |
                      | ----------- | ------------------------------------------------------------------------------ |
                      | live\_photo | Selfie of signer captured during live selfie process of document verification. |
                      | front       | Front image of document captured during document verification.                 |
                      | back        | Back image of document captured during document verification.                  |
                      | passport    | Image of passport captured during document verification.                       |
                    </Expandable>
                  </ParamField>

                  <ParamField body="excludeTypes" type="string[]">
                    Exclude by Verification Document Image Type

                    <Expandable title="values">
                      | Key         | Description                                                                    |
                      | ----------- | ------------------------------------------------------------------------------ |
                      | live\_photo | Selfie of signer captured during live selfie process of document verification. |
                      | front       | Front image of document captured during document verification.                 |
                      | back        | Back image of document captured during document verification.                  |
                      | passport    | Image of passport captured during document verification.                       |
                    </Expandable>
                  </ParamField>
                </Expandable>
              </ParamField>
            </Expandable>
          </ParamField>
        </ParamField>

        <ParamField body="includeIds" type="string[]">
          Include signers by ID.
        </ParamField>

        <ParamField body="excludeIds" type="string[]">
          Exclude signers by ID.
        </ParamField>

        <ParamField body="includeRoles" type="string[]">
          Include by signers by role(s).

          | Value  | Description                                                             |
          | :----- | :---------------------------------------------------------------------- |
          | signer | Signer                                                                  |
          | guest  | Guest of VSR or In Person signing that is not a signer of any documents |
          | host   | Host of VSR or In Person signing                                        |
        </ParamField>

        <ParamField body="excludeRoles" type="string[]">
          Exclude by signers by role(s).

          | Value  | Description                                                             |
          | :----- | :---------------------------------------------------------------------- |
          | signer | Signer                                                                  |
          | guest  | Guest of VSR or In Person signing that is not a signer of any documents |
          | host   | Host of VSR or In Person signing                                        |
        </ParamField>

        <ParamField body="includeTypes" type="string[]">
          Include by signers by type(s).

          | Value  | Description                                                               |
          | :----- | :------------------------------------------------------------------------ |
          | signer | Signer                                                                    |
          | guest  | Signer that was added by the host during VSR or In Person signing session |
        </ParamField>

        <ParamField body="excludeTypes" type="string[]">
          Exclude by signers by type(s).

          | Value  | Description                                                               |
          | :----- | :------------------------------------------------------------------------ |
          | signer | Signer                                                                    |
          | guest  | Signer that was added by the host during VSR or In Person signing session |
        </ParamField>
      </Expandable>
    </ParamField>

    <ParamField body="recipients" type="object">
      <Expandable title="properties">
        <ParamField body="include" type="boolean" default={true}>
          Include recipients section.
        </ParamField>

        <ParamField body="name" type="boolean" default={true}>
          Include name.
        </ParamField>

        <ParamField body="email" type="boolean" default={true}>
          Include email.
        </ParamField>

        <ParamField body="mobileNumber" type="boolean" default={true}>
          Include mobile number.
        </ParamField>

        <ParamField body="device" type="boolean" default={true}>
          Include device details.
        </ParamField>

        <ParamField body="ipAddress" type="boolean" default={true}>
          Include IP address.
        </ParamField>

        <ParamField body="location" type="boolean" default={true}>
          include location details.
        </ParamField>

        <ParamField body="includeIds" type="string[]">
          Include recipients by ID.
        </ParamField>

        <ParamField body="excludeIds" type="string[]">
          Exclude recipients by ID.
        </ParamField>

        <ParamField body="includeTypes" type="string[]">
          Include by recipients by type(s).

          | Value | Description                                                    |
          | :---- | :------------------------------------------------------------- |
          | cc    | Recipient that will be **CC** on package email notifications.  |
          | bcc   | Recipient that will be **BCC** on package email notifications. |
        </ParamField>

        <ParamField body="excludeTypes" type="string[]">
          Exclude by recipients by type(s).

          | Value | Description                                                    |
          | :---- | :------------------------------------------------------------- |
          | cc    | Recipient that will be **CC** on package email notifications.  |
          | bcc   | Recipient that will be **BCC** on package email notifications. |
        </ParamField>
      </Expandable>
    </ParamField>

    <ParamField body="documents" type="object">
      <Expandable title="properties">
        <ParamField body="include" type="boolean" default={true}>
          Include documents section.
        </ParamField>
      </Expandable>
    </ParamField>

    <ParamField body="meetings" type="object">
      <Expandable title="properties">
        <ParamField body="include" type="boolean" default={true}>
          Include meetings section.
        </ParamField>
      </Expandable>
    </ParamField>

    <ParamField body="verificationHistory" type="object">
      <Expandable title="properties">
        <ParamField body="include" type="boolean" default={true}>
          Include verification history section.
        </ParamField>
      </Expandable>
    </ParamField>

    <ParamField body="accessHistory" type="object">
      <Expandable title="properties">
        <ParamField body="include" type="boolean" default={true}>
          Include access history section.
        </ParamField>

        <ParamField body="includeActions" type="string[]">
          Include access history by action(s).

          | Value                 | Description                                                                      |
          | :-------------------- | :------------------------------------------------------------------------------- |
          | access\_challenged    | Signer was issued MFA challenge                                                  |
          | access\_failed        | Signer failed MFA attempt                                                        |
          | access\_lockout       | Signer failed MFA attempt multiple times in a row and was temporarily locked out |
          | document\_opened      | Signer opened document                                                           |
          | meeting\_joined       | Signer joined VSR meeting                                                        |
          | mobile\_started       | Signer started mobile signature pad session                                      |
          | session\_started      | Signer started signing session                                                   |
          | verification\_started | Signer started verification session                                              |
        </ParamField>

        <ParamField body="excludeActions" type="string[]">
          Exclude access history by action(s).

          | Value                 | Description                                                                      |
          | :-------------------- | :------------------------------------------------------------------------------- |
          | access\_challenged    | Signer was issued MFA challenge                                                  |
          | access\_failed        | Signer failed MFA attempt                                                        |
          | access\_lockout       | Signer failed MFA attempt multiple times in a row and was temporarily locked out |
          | document\_opened      | Signer opened document                                                           |
          | meeting\_joined       | Signer joined VSR meeting                                                        |
          | mobile\_started       | Signer started mobile signature pad session                                      |
          | session\_started      | Signer started signing session                                                   |
          | verification\_started | Signer started verification session                                              |
        </ParamField>

        <ParamField body="includeTypes" type="string[]">
          Include access history by type(s).

          | Value        | Description                         |
          | :----------- | :---------------------------------- |
          | meeting      | VSR meeting access history          |
          | mobile       | Mobile signature pad access history |
          | security     | MFA access history                  |
          | session      | Signing session access history      |
          | verification | Verification session access history |
        </ParamField>

        <ParamField body="excludeTypes" type="string[]">
          Exclude access history by type(s).

          | Value        | Description                         |
          | :----------- | :---------------------------------- |
          | meeting      | VSR meeting access history          |
          | mobile       | Mobile signature pad access history |
          | security     | MFA access history                  |
          | session      | Signing session access history      |
          | verification | Verification session access history |
        </ParamField>
      </Expandable>
    </ParamField>

    <ParamField body="packageHistory" type="object">
      <Expandable title="properties">
        <ParamField body="include" type="boolean" default={true}>
          Include package history section.
        </ParamField>

        <ParamField body="includeTypes" type="string[]">
          Include package history by type(s).

          | Value                                            | Description                                                                                  |
          | :----------------------------------------------- | :------------------------------------------------------------------------------------------- |
          | document\_added                                  | Document was added                                                                           |
          | document\_deleted                                | Document was deleted                                                                         |
          | document\_regen                                  | Document was regenerated after changes                                                       |
          | document\_regen\_signed                          | Signed document was regenerated after changes requiring signer(s) to sign the document again |
          | document\_updated                                | Document was modified                                                                        |
          | document\_updated\_template                      | Document template was updated                                                                |
          | document\_updated\_template\_annotation\_added   | Package owner added annotation to document                                                   |
          | document\_updated\_template\_annotation\_deleted | Package owner deleted annotation from document                                               |
          | document\_updated\_template\_annotation\_updated | Package owner updated annotation in document                                                 |
          | master\_file\_exported                           | MasterFile was exported by organization member                                               |
          | meeting\_added                                   | VSR meeting was scheduled                                                                    |
          | meeting\_deleted                                 | VSR meeting was cancelled                                                                    |
          | meeting\_updated                                 | VSR meeting was updated                                                                      |
          | meeting\_video\_deleted                          | VSR video was deleted                                                                        |
          | package\_added                                   | Package was added                                                                            |
          | package\_deleted                                 | Package was deleted                                                                          |
          | package\_passphrase                              | MFA passphrase was added to package                                                          |
          | package\_sent                                    | Package was sent to signer                                                                   |
          | package\_updated                                 | Package was updated                                                                          |
          | recipient\_added                                 | Recipient was added                                                                          |
          | recipient\_deleted                               | Recipient was deleted                                                                        |
          | recipient\_updated                               | Recipient was updated                                                                        |
          | signer\_added                                    | Signer was added                                                                             |
          | signer\_deleted                                  | Signer was deleted                                                                           |
          | signer\_updated                                  | Signer was updated                                                                           |
          | verification\_viewed                             | Verification was viewed by organization member                                               |
        </ParamField>

        <ParamField body="excludeTypes" type="string[]">
          Exclude package history by type(s).

          | Value                                            | Description                                                                                  |
          | :----------------------------------------------- | :------------------------------------------------------------------------------------------- |
          | document\_added                                  | Document was added                                                                           |
          | document\_deleted                                | Document was deleted                                                                         |
          | document\_regen                                  | Document was regenerated after changes                                                       |
          | document\_regen\_signed                          | Signed document was regenerated after changes requiring signer(s) to sign the document again |
          | document\_updated                                | Document was modified                                                                        |
          | document\_updated\_template                      | Document template was updated                                                                |
          | document\_updated\_template\_annotation\_added   | Package owner added annotation to document                                                   |
          | document\_updated\_template\_annotation\_deleted | Package owner deleted annotation from document                                               |
          | document\_updated\_template\_annotation\_updated | Package owner updated annotation in document                                                 |
          | master\_file\_exported                           | MasterFile was exported by organization member                                               |
          | meeting\_added                                   | VSR meeting was scheduled                                                                    |
          | meeting\_deleted                                 | VSR meeting was cancelled                                                                    |
          | meeting\_updated                                 | VSR meeting was updated                                                                      |
          | meeting\_video\_deleted                          | VSR video was deleted                                                                        |
          | package\_added                                   | Package was added                                                                            |
          | package\_deleted                                 | Package was deleted                                                                          |
          | package\_passphrase                              | MFA passphrase was added to package                                                          |
          | package\_sent                                    | Package was sent to signer                                                                   |
          | package\_updated                                 | Package was updated                                                                          |
          | recipient\_added                                 | Recipient was added                                                                          |
          | recipient\_deleted                               | Recipient was deleted                                                                        |
          | recipient\_updated                               | Recipient was updated                                                                        |
          | signer\_added                                    | Signer was added                                                                             |
          | signer\_deleted                                  | Signer was deleted                                                                           |
          | signer\_updated                                  | Signer was updated                                                                           |
          | verification\_viewed                             | Verification was viewed by organization member                                               |
        </ParamField>
      </Expandable>
    </ParamField>

    <ParamField body="notificationHistory" type="object">
      <Expandable title="properties">
        <ParamField body="include" type="boolean" default={true}>
          Include notification history section.
        </ParamField>

        <ParamField body="includeTemplates" type="string[]">
          Include notification history by template(s).

          | Value                         | Description                                                          |
          | :---------------------------- | :------------------------------------------------------------------- |
          | document\_accessed            | Document was opened by signer                                        |
          | document\_executed            | Document was executed by all signers                                 |
          | document\_executed\_all       | All documents were executed by all signers                           |
          | document\_next                | Next signer in a sequential signing                                  |
          | document\_reminder            | Reminder to sign document(s)                                         |
          | document\_signed              | Document signed by signer                                            |
          | mobile\_link                  | Link to open mobile signature pad                                    |
          | package\_cancelled            | Signing package was cancelled                                        |
          | package\_executed             | Signing package was executed by all signers                          |
          | package\_masterfile\_link     | MasterFile link was requested and sent to signer's email address     |
          | package\_meeting              | VSR meeting was scheduled                                            |
          | package\_meeting\_cancelled   | VSR meeting was cancelled                                            |
          | package\_notification         | Custom signing package notification was sent to signer               |
          | package\_notification\_failed | Delivery failure notification sent to package owner                  |
          | package\_review\_link         | Package review link was requested and sent to signer's email address |
          | package\_sign                 | Signing package sign document(s) request sent to signer              |
          | package\_updated              | Signing package has been updated                                     |
          | security\_code                | MFA security code has been sent to signer's mobile number            |
          | verification\_completed       | Signer completed IDV                                                 |
          | verification\_failed          | Signer failed IDV                                                    |
          | verification\_link            | Link to open IDV                                                     |
        </ParamField>

        <ParamField body="excludeTemplates" type="string[]">
          Exclude notification history by template(s).

          | Value                         | Description                                                          |
          | :---------------------------- | :------------------------------------------------------------------- |
          | document\_accessed            | Document was opened by signer                                        |
          | document\_executed            | Document was executed by all signers                                 |
          | document\_executed\_all       | All documents were executed by all signers                           |
          | document\_next                | Next signer in a sequential signing                                  |
          | document\_reminder            | Reminder to sign document(s)                                         |
          | document\_signed              | Document signed by signer                                            |
          | mobile\_link                  | Link to open mobile signature pad                                    |
          | package\_cancelled            | Signing package was cancelled                                        |
          | package\_executed             | Signing package was executed by all signers                          |
          | package\_masterfile\_link     | MasterFile link was requested and sent to signer's email address     |
          | package\_meeting              | VSR meeting was scheduled                                            |
          | package\_meeting\_cancelled   | VSR meeting was cancelled                                            |
          | package\_notification         | Custom signing package notification was sent to signer               |
          | package\_notification\_failed | Delivery failure notification sent to package owner                  |
          | package\_review\_link         | Package review link was requested and sent to signer's email address |
          | package\_sign                 | Signing package sign document(s) request sent to signer              |
          | package\_updated              | Signing package has been updated                                     |
          | security\_code                | MFA security code has been sent to signer's mobile number            |
          | verification\_completed       | Signer completed IDV                                                 |
          | verification\_failed          | Signer failed IDV                                                    |
          | verification\_link            | Link to open IDV                                                     |
        </ParamField>

        <ParamField body="includeTypes" type="string[]">
          Include notification history by type(s).

          | Value | Description        |
          | :---- | :----------------- |
          | email | Email notification |
          | sms   | SMS notification   |
        </ParamField>

        <ParamField body="excludeTypes" type="string[]">
          Exclude notification history by type(s).

          | Value | Description        |
          | :---- | :----------------- |
          | email | Email notification |
          | sms   | SMS notification   |
        </ParamField>
      </Expandable>
    </ParamField>

    <ParamField body="logs" type="object">
      <Expandable title="properties">
        <ParamField body="include" type="boolean" default={true}>
          Include signing logs section.
        </ParamField>

        <ParamField body="includeTypes" type="string[]">
          Include signing logs by type(s).

          | Value                           | Description                                        |
          | :------------------------------ | :------------------------------------------------- |
          | document\_opened                | Document opened                                    |
          | document\_saved                 | Document saved                                     |
          | document\_finalized             | Document finalized                                 |
          | page\_enter                     | Page entered                                       |
          | page\_exit                      | Page exited                                        |
          | field\_annotation\_add          | Annotation field added (free form ink annotations) |
          | field\_checkbox\_check          | Checkbox field checked                             |
          | field\_checkbox\_uncheck        | Checkbox field unchecked                           |
          | field\_date\_add                | Date field added                                   |
          | field\_date\_delete             | Date field deleted                                 |
          | field\_digitalsignature\_add    | Digital Signature field added                      |
          | field\_digitalsignature\_delete | Digital Signature field deleted                    |
          | field\_dropdown\_delete         | Dropdown field deleted                             |
          | field\_dropdown\_select         | Dropdown field selected                            |
          | field\_image\_add               | Image field added                                  |
          | field\_image\_delete            | Image field deleted                                |
          | field\_initials\_add            | Initials added                                     |
          | field\_initials\_delete         | Initials deleted                                   |
          | field\_radio\_select            | Radio field selected                               |
          | field\_signature\_add           | Signature field added                              |
          | field\_signature\_delete        | Signature field deleted                            |
          | field\_stamp\_add               | Stamp field added                                  |
          | field\_text\_add                | Text field added                                   |
          | field\_text\_delete             | Text field deleted                                 |
        </ParamField>

        <ParamField body="excludeTypes" type="string[]">
          Exclude signing logs by type(s).

          | Value                           | Description                                        |
          | :------------------------------ | :------------------------------------------------- |
          | document\_opened                | Document opened                                    |
          | document\_saved                 | Document saved                                     |
          | document\_finalized             | Document finalized                                 |
          | page\_enter                     | Page entered                                       |
          | page\_exit                      | Page exited                                        |
          | field\_annotation\_add          | Annotation field added (free form ink annotations) |
          | field\_checkbox\_check          | Checkbox field checked                             |
          | field\_checkbox\_uncheck        | Checkbox field unchecked                           |
          | field\_date\_add                | Date field added                                   |
          | field\_date\_delete             | Date field deleted                                 |
          | field\_digitalsignature\_add    | Digital Signature field added                      |
          | field\_digitalsignature\_delete | Digital Signature field deleted                    |
          | field\_dropdown\_delete         | Dropdown field deleted                             |
          | field\_dropdown\_select         | Dropdown field selected                            |
          | field\_image\_add               | Image field added                                  |
          | field\_image\_delete            | Image field deleted                                |
          | field\_initials\_add            | Initials added                                     |
          | field\_initials\_delete         | Initials deleted                                   |
          | field\_radio\_select            | Radio field selected                               |
          | field\_signature\_add           | Signature field added                              |
          | field\_signature\_delete        | Signature field deleted                            |
          | field\_stamp\_add               | Stamp field added                                  |
          | field\_text\_add                | Text field added                                   |
          | field\_text\_delete             | Text field deleted                                 |
        </ParamField>
      </Expandable>
    </ParamField>
  </Expandable>
</ParamField>

## Response

Returns a PDF file of the requested package's MasterFile based on the provided options.

<ResponseExample>
  ```http Response theme={null}
  HTTP/1.1 200 OK
  Content-Type: application/pdf
  Content-Disposition: attachment; name="example.pdf";filename*=utf-8''example.pdf

  <PDF-BINARY-DATA>
  ```
</ResponseExample>
